Skip to main content
GET
/
widget-creation-assistant
Ask AI to provide a widget based on a prompt request
curl --request GET \
  --url https://api.eu.bronto.io/widget-creation-assistant \
  --header 'X-BRONTO-API-KEY: <api-key>'
{
  "message": "<string>",
  "session_id": "<string>",
  "sessionId": "<string>",
  "query": "<string>",
  "groups_series": [
    {
      "key": "hostname",
      "name": "host123",
      "count": 124,
      "stat": "average(duration_millis)",
      "value": 50325.25,
      "quantiles": {
        "min": 691,
        "p25": 713.75,
        "p50": 796,
        "p75": 847.5,
        "p90": 1237,
        "p95": 1331,
        "p99": 1331,
        "p999": 1331,
        "max": 1331
      },
      "series_resolution_ms": 60000,
      "timeseries": [
        {
          "@timestamp": "1711535140632",
          "count": 40,
          "value": 35.625,
          "quantiles": {
            "min": 691,
            "p25": 713.75,
            "p50": 796,
            "p75": 847.5,
            "p90": 1237,
            "p95": 1331,
            "p99": 1331,
            "p999": 1331,
            "max": 1331
          }
        }
      ],
      "groups_series": [
        {
          "name": "host123",
          "count": 124,
          "stat": "average(duration_millis)",
          "value": 50325.25,
          "series_resolution_ms": 60000,
          "timeseries": [
            {
              "@timestamp": "1711535140632",
              "count": 40,
              "value": 35.625,
              "quantiles": {
                "min": 691,
                "p25": 713.75,
                "p50": 796,
                "p75": 847.5,
                "p90": 1237,
                "p95": 1331,
                "p99": 1331,
                "p999": 1331,
                "max": 1331
              }
            }
          ]
        }
      ]
    }
  ],
  "totals": {
    "timeseries": [
      {
        "@timestamp": "1711535140632",
        "count": 40,
        "value": 35.625,
        "quantiles": {
          "min": 691,
          "p25": 713.75,
          "p50": 796,
          "p75": 847.5,
          "p90": 1237,
          "p95": 1331,
          "p99": 1331,
          "p999": 1331,
          "max": 1331
        }
      }
    ]
  }
}

Authorizations

X-BRONTO-API-KEY
string
header
required

Query Parameters

sessionId
string<uuid>

the id identifying a chat session

userRequest
string
required

the prompt describing the widget requested

Response

The response, streamed as SSE, containing the suggested widget and/or the response from the LLM

type
enum<string>
required

Type of event returned

Available options:
LOADING_MESSAGE,
AI_RESPONSE_DELTA,
QUERY_RESPONSE,
RESPONSE_COMPLETED,
ERROR
message
string

The loading message or a chunk of the streamed response

session_id
string

The id of the session, if available

sessionId
string
deprecated

The id of the session, if available

query
string

The query run by the LLM, if type is QUERY_RESPONSE

groups_series
object[]
totals
object